# Framework Documents

- [Core](https://docs.cmsfullform.com/documents/core.md)
- [AppException](https://docs.cmsfullform.com/documents/core/appexception.md)
- [BaseController](https://docs.cmsfullform.com/documents/core/basecontroller.md)
- [BaseModel](https://docs.cmsfullform.com/documents/core/basemodel.md)
- [BaseBlock](https://docs.cmsfullform.com/documents/core/baseblock.md)
- [Bootstrap](https://docs.cmsfullform.com/documents/core/bootstrap.md)
- [Middleware](https://docs.cmsfullform.com/documents/core/middleware.md)
- [Router](https://docs.cmsfullform.com/documents/core/router.md)
- [URI Routing](https://docs.cmsfullform.com/documents/uri-routing.md)
- [Web.php](https://docs.cmsfullform.com/documents/uri-routing/web.php.md)
- [Api.php](https://docs.cmsfullform.com/documents/uri-routing/api.php.md)
- [Controllers](https://docs.cmsfullform.com/documents/controllers.md)
- [Models](https://docs.cmsfullform.com/documents/models.md)
- [Views & Templates](https://docs.cmsfullform.com/documents/views-and-templates.md)
- [Blocks](https://docs.cmsfullform.com/documents/blocks.md)
- [Middleware](https://docs.cmsfullform.com/documents/middleware.md)
- [Libraries](https://docs.cmsfullform.com/documents/libraries.md)
- [Database Integration](https://docs.cmsfullform.com/documents/libraries/database-integration.md)
- [Caching](https://docs.cmsfullform.com/documents/libraries/caching.md)
- [Events](https://docs.cmsfullform.com/documents/libraries/events.md)
- [Validate](https://docs.cmsfullform.com/documents/libraries/validate.md)
- [Error Handling](https://docs.cmsfullform.com/documents/libraries/error-handling.md)
- [Logger & Monitor](https://docs.cmsfullform.com/documents/libraries/logger-and-monitor.md)
- [Render](https://docs.cmsfullform.com/documents/libraries/render.md)
- [Security](https://docs.cmsfullform.com/documents/libraries/security.md)
- [Session](https://docs.cmsfullform.com/documents/libraries/session.md)
- [Task Queue](https://docs.cmsfullform.com/documents/libraries/task-queue.md)
- [Helpers](https://docs.cmsfullform.com/documents/helpers.md)
- [Uri\_helper](https://docs.cmsfullform.com/documents/helpers/uri_helper.md)
- [Core\_helper](https://docs.cmsfullform.com/documents/helpers/core_helper.md)
- [Security\_helper](https://docs.cmsfullform.com/documents/helpers/security_helper.md)
- [Drivers](https://docs.cmsfullform.com/documents/drivers.md)
- [Cache](https://docs.cmsfullform.com/documents/drivers/cache.md)
- [Guide Usage Cache](https://docs.cmsfullform.com/documents/drivers/cache/guide-usage-cache.md)
- [Uri Cache](https://docs.cmsfullform.com/documents/drivers/cache/uri-cache.md)
- [Redis Cache](https://docs.cmsfullform.com/documents/drivers/cache/redis-cache.md)
- [Files Cache](https://docs.cmsfullform.com/documents/drivers/cache/files-cache.md)
- [Database](https://docs.cmsfullform.com/documents/drivers/database.md)
- [Guide Usage Database](https://docs.cmsfullform.com/documents/drivers/database/guide-usage-database.md)
- [MongodbDriver](https://docs.cmsfullform.com/documents/drivers/database/mongodbdriver.md)
- [MysqlDriver](https://docs.cmsfullform.com/documents/drivers/database/mysqldriver.md)
- [PostgresqlDriver](https://docs.cmsfullform.com/documents/drivers/database/postgresqldriver.md)
- [Commands](https://docs.cmsfullform.com/documents/commands.md)
- [Controllers Command](https://docs.cmsfullform.com/documents/commands/controllers-command.md)
- [Models Command](https://docs.cmsfullform.com/documents/commands/models-command.md)
- [Table Command](https://docs.cmsfullform.com/documents/commands/table-command.md)
- [Block Command](https://docs.cmsfullform.com/documents/commands/block-command.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cmsfullform.com/documents.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
